Subject: Re: bug#28048: 26.0.50; behaviour of C-h f semantic-mode

From: Glenn Morris <[email-masked]>
Date: Sat, 12 Aug 2017 13:42:06 -0400

Mark Oteiza wrote:

> I suppose the complaint is that "loading" semantic (or whatever happens
> to get loaded when trying to get help on the semantic-mode function) is
> invoking a python process.

emacs -Q -l lisp/cedet/semantic/wisent/python.el

starts a python process due to semantic-python-get-system-include-path
and its use of python-shell-internal-send-string. Doesn't seem like a
bug to me?

> Is there a bug associated with the new C-h f behaviour? 

I don't know, is there? ;)

>  Loading libraries unexpectedly sounds bad.

I think you'll have to give more details, because obviously someone
(Stefan) thought this was a desirable feature.

(The C-h f aspect does seem under-explained in NEWS, but that's par for
the course. And IIUC it cannot be disabled, unlike the older feature
controlled by help-enable-auto-load.)